Authentication
Get subscription details
GET
/api/auth/subscriptionReturns subscription and feature availability for the current user or a specified team the user can access.
Try it
Headers
| Name | Type | Description |
|---|---|---|
| Authorizationrequired | string | Token returned by POST /api/auth/login, or an API key (`umami_…`) created under Settings → API keys (self-hosted only). Bearer <token>. |
| x-umami-share-contextrequired | string | Required context header when authenticating with a share token. <api-key>. |
| x-umami-share-tokenrequired | string | Signed token returned by a share endpoint. <api-key>. |
Query parameters
| Name | Type | Description |
|---|---|---|
| teamId | string | ID of the associated team. |
Responses
200The operation completed successfully.
| Name | Type | Description |
|---|---|---|
| anyOf | anyOf | |
200 example
400Bad request.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
400 example
401Unauthorized.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
401 example
Code samples
cURL